The combination of artificial intelligence and traditional computer simulation has become a major trend in scientific computing today. The development of machine learning force fields (MLFF) has significantly improved the accuracy and efficiency of molecular dynamics simulations. PWMLFF is an open-source software package developed by the Longxun Kuangteng team, licensed under the GNU license, designed to quickly generate machine learning force fields comparable to ab initio molecular dynamics (AIMD) accuracy. The latest release, PWMLFF 2024.3, includes important updates such as the Lammps libtorch interface solution, an active learning platform, a data processing platform, and more.

For a detailed introduction to PWMLFF 2024.3, please refer to the previous [WeChat public account push](https://mp.weixin.qq.com/s/fbLKLV8738vPBRH3q-2alQ) or browse the [PWMLFF Online Manual](http://doc.lonxun.com/PWMLFF/).

GPUMD is a general-purpose molecular dynamics (MD) package fully implemented on GPUs, which includes the implementation of [neuroevolution potential (NEP) models](https://doi.org/10.1063/5.0106617). Training NEP in GPUMD uses a [separable natural evolution strategy](https://doi.org/10.1145/2001576.2001692), which is simple to implement as it does not rely on gradient information. However, for standard supervised learning tasks, especially deep learning, gradient-based optimization algorithms are more suitable. In the latest PWMLFF, we have implemented the NEP model, enabling model training using gradient-based RLEKF or ADAM optimizers in PWMLFF. Our test results indicate that the RLEKF optimizer exhibits superior training performance for the NEP model, with training accuracy and convergence speed across multiple systems surpassing those of the commonly used DP model and the evolution algorithm-trained NEP in GPUMD.

The training code for the NEP model in PWMLFF has been uploaded to the PWMLFF open-source repository. Users can refer to the [PWMLFF NEP User Manual](http://doc.lonxun.com/PWMLFF/models/nep/nep_lkf/) to experience it. Test data and models have been uploaded and can be downloaded from our [Baidu Cloud Drive](https://pan.baidu.com/s/1M0cf-7brcM0kwgmuwgMqNQ?pwd=pwmt).
